package cn.aibreeze.exam.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@TableName(value = "eleh_session_qa_record")
public class ElehSessionQaRecordDo implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;

    private Integer tenant;

    /**
     * 会话ID
     */
    private String sessionId;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 题目ID
     */
    private Long questionId;

    /**
     * 用户答案
     */
    private String answer;

    /**
     * 得分点评
     */
    private String scoreCriteria;

    /**
     * 用户得分
     */
    private Double score;

    /**
     * 类型（0单题考试结果 1整场考试结果）
     */
    private Integer type;

    /**
     * 考试总点评
     */
    private String examCriteria;

    private Date createdAt;
}
